#ifndef GSLOOP_CON_H
#define GSLOOP_CON_H

#include <gsloop_types.h>
#include <gsloop_sglib.h>

int
gsloop_con_init			(struct gsloop		*gsloop);

int
gsloop_con_destroy		(struct gsloop		*gsloop);


static inline void
gsloop_con_add_server		(struct gsloop		*gsloop,
				 struct gsloop_server	*server)
{
	sglib_con_add(&gsloop->con_list, (union gsloop_con *)server);
}

static inline void
gsloop_con_add_client		(struct gsloop		*gsloop,
				 struct gsloop_client	*client)
{
	sglib_con_add(&gsloop->con_list, (union gsloop_con *)client);
}



static inline void
gsloop_con_delete_con		(struct gsloop		*gsloop,
				 union gsloop_con	*con)
{
	sglib_con_delete(&gsloop->con_list, con);
}

static inline void
gsloop_con_delete_server	(struct gsloop		*gsloop,
				 struct gsloop_server	*server)
{
	gsloop_con_delete_con(gsloop, (union gsloop_con *)server);
}

static inline void
gsloop_con_delete_client	(struct gsloop		*gsloop,
				 struct gsloop_client	*client)
{
	gsloop_con_delete_con(gsloop, (union gsloop_con *)client);
}

#endif	/* !GSLOOP_CON_H */
